- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libcdr::CDRGradient Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRGradient ()
| CDRGradient (const CDRGradient &gradient)

## Public Attributes
unsigned char | m_type
unsigned char | m_mode
double | m_angle
double | m_midPoint
int | m_edgeOffset
int | m_centerXOffset
int | m_centerYOffset
std::vector< CDRGradientStop > | m_stops

## Constructor & Destructor Documentation

libcdr::CDRGradient::CDRGradient | ( |  | ) |
| inline

libcdr::CDRGradient::CDRGradient | ( | const CDRGradient & | gradient | ) |
| inline

## Member Data Documentation

double libcdr::CDRGradient::m_angle

Referenced by libcdr::CDRParser::readFild().

int libcdr::CDRGradient::m_centerXOffset

Referenced by libcdr::CDRParser::readFild().

int libcdr::CDRGradient::m_centerYOffset

Referenced by libcdr::CDRParser::readFild().

int libcdr::CDRGradient::m_edgeOffset

Referenced by libcdr::CDRParser::readFild().

double libcdr::CDRGradient::m_midPoint

Referenced by libcdr::CDRParser::readFild().

unsigned char libcdr::CDRGradient::m_mode

Referenced by libcdr::CDRParser::readFild().

std::vector<CDRGradientStop> libcdr::CDRGradient::m_stops

Referenced by libcdr::CDRParser::readFild().

unsigned char libcdr::CDRGradient::m_type

Referenced by libcdr::CDRParser::readFild().

The documentation for this struct was generated from the following file:

- CDRTypes.h